summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2019-06-07 07:59:39 +0200
committerRemi Collet <remi@remirepo.net>2019-06-07 07:59:39 +0200
commit9a69657b6e13005c6dd7c04da9f7661b21413fa4 (patch)
tree5ad60c5debd3bec50b1240443ba2a7e2e365ad15
parent4604d7397c92860c8f81c87ae47d67a46bef34e4 (diff)
- update to 2.1.0HEADmaster
- raise dependency on doctrine/dbal 2.9
-rw-r--r--composer.json6
-rw-r--r--php-doctrine-migrations.spec28
2 files changed, 20 insertions, 14 deletions
diff --git a/composer.json b/composer.json
index d9cf727..c7de738 100644
--- a/composer.json
+++ b/composer.json
@@ -12,7 +12,7 @@
],
"require": {
"php": "^7.1",
- "doctrine/dbal": "^2.6",
+ "doctrine/dbal": "^2.9",
"ocramius/package-versions": "^1.3",
"ocramius/proxy-manager": "^2.0.2",
"symfony/console": "^3.4||^4.0",
@@ -20,7 +20,7 @@
},
"require-dev": {
"ext-pdo_sqlite": "*",
- "doctrine/coding-standard": "^5.0",
+ "doctrine/coding-standard": "^6.0",
"doctrine/orm": "^2.6",
"jdorn/sql-formatter": "^1.1",
"mikey179/vfsStream": "^1.6",
@@ -51,7 +51,7 @@
},
"extra": {
"branch-alias": {
- "dev-master": "2.0.x-dev"
+ "dev-master": "2.1.x-dev"
}
},
"bin": [
diff --git a/php-doctrine-migrations.spec b/php-doctrine-migrations.spec
index 8aebd56..e729a24 100644
--- a/php-doctrine-migrations.spec
+++ b/php-doctrine-migrations.spec
@@ -8,7 +8,7 @@
#
%global bootstrap 0
-%global gh_commit 43280c14b696a7896a9c70a5e0e4a312ff003187
+%global gh_commit ebe6f891a4c61574f77fc4a06d913d29236b8466
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner doctrine
%global gh_project migrations
@@ -25,7 +25,7 @@
%endif
Name: php-%{pk_vendor}-%{pk_project}
-Version: 2.0.2
+Version: 2.1.0
Release: 1%{?dist}
Summary: PHP Doctrine Migrations project
@@ -52,14 +52,14 @@ BuildRequires: php-phar
BuildRequires: php-spl
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-composer(doctrine/dbal) >= 2.6 with php-composer(doctrine/dbal) < 3)
+BuildRequires: (php-composer(doctrine/dbal) >= 2.9 with php-composer(doctrine/dbal) < 3)
BuildRequires: (php-composer(symfony/console) >= 3.4 with php-composer(symfony/console) < 5)
BuildRequires: (php-composer(symfony/stopwatch) >= 3.4 with php-composer(symfony/stopwatch) < 5)
BuildRequires: (php-composer(ocramius/proxy-manager) >= 2.0.2 with php-composer(ocramius/proxy-manager) < 3)
# From composer.json
# "require-dev": {
# "ext-pdo_sqlite": "*",
-# "doctrine/coding-standard": "^5.0",
+# "doctrine/coding-standard": "^6.0",
# "doctrine/orm": "^2.6",
# "jdorn/sql-formatter": "^1.1",
# "mikey179/vfsStream": "^1.6",
@@ -78,8 +78,8 @@ BuildRequires: (php-composer(jdorn/sql-formatter) >= 1.1 with php-composer(
BuildRequires: (php-composer(mikey179/vfsStream) >= 1.6 with php-composer(mikey179/vfsStream) < 2)
# remirepo:15
%else
-BuildRequires: php-composer(doctrine/orm) < 3
-BuildRequires: php-composer(doctrine/orm) >= 2.6
+BuildRequires: php-composer(doctrine/dbal) < 3
+BuildRequires: php-composer(doctrine/dbal) >= 2.9
BuildRequires: php-symfony3-console >= 3.4
BuildRequires: php-symfony3-stopwatch >= 3.4
BuildRequires: php-composer(ocramius/proxy-manager) < 3
@@ -98,7 +98,7 @@ BuildRequires: phpunit7
# From composer.json
# "require": {
# "php": "^7.1",
-# "doctrine/dbal": "^2.6",
+# "doctrine/dbal": "^2.9",
# "ocramius/package-versions": "^1.3",
# "ocramius/proxy-manager": "^2.0.2",
# "symfony/console": "^3.4||^4.0",
@@ -110,7 +110,7 @@ BuildRequires: phpunit7
Requires: php(language) >= 7.1
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-composer(doctrine/dbal) >= 2.6 with php-composer(doctrine/dbal) < 3)
+Requires: (php-composer(doctrine/dbal) >= 2.9 with php-composer(doctrine/dbal) < 3)
Requires: (php-composer(symfony/console) >= 3.4 with php-composer(symfony/console) < 5)
Requires: (php-composer(symfony/stopwatch) >= 3.4 with php-composer(symfony/stopwatch) < 5)
Requires: (php-composer(ocramius/proxy-manager) >= 2.0.2 with php-composer(ocramius/proxy-manager) < 3)
@@ -119,7 +119,7 @@ Recommends: (php-composer(symfony/yaml) >= 3.3 with php-composer(
# remirepo:8
%else
Requires: php-composer(doctrine/dbal) < 3
-Requires: php-composer(doctrine/dbal) >= 2.6
+Requires: php-composer(doctrine/dbal) >= 2.9
Requires: php-symfony3-console >= 3.4
Requires: php-symfony3-stopwatch >= 3.4
Requires: php-composer(ocramius/proxy-manager) < 3
@@ -224,11 +224,13 @@ chmod -w tests/Doctrine/Migrations/Tests/Functional/_files
: Run test suite
ret=0
-for cmd in php php71 php72 php73; do
+for cmd in php php71 php72 php73 php74; do
+ TMP=$(mktemp -d)
if which $cmd; then
- $cmd %{_bindir}/phpunit7 \
+ TMPDIR=$TMP $cmd %{_bindir}/phpunit7 \
--bootstrap vendor/autoload.php \
--verbose || ret=1
+ rm -rf $TMP
fi
done
@@ -251,6 +253,10 @@ exit $ret
%changelog
+* Fri Jun 7 2019 Remi Collet <remi@remirepo.net> - 2.1.0-1
+- update to 2.1.0
+- raise dependency on doctrine/dbal 2.9
+
* Fri Apr 26 2019 Remi Collet <remi@remirepo.net> - 2.0.2-1
- update to 2.0.2